# Uses of Enum Class
org.jmol.c.STR

Packages that use STR
Package
Description
org.jmol.adapter.smarter
org.jmol.api
org.jmol.c
org.jmol.modelset
org.jmol.modelsetbio
org.jmol.renderbio
org.jmol.util
org.jmol.viewer

## Uses of STR in org.jmol.adapter.smarter

Fields in org.jmol.adapter.smarter declared as STR
Modifier and Type
Field
Description
`STR`
Structure.`structureType`
`STR`
Structure.`substructureType`
Methods in org.jmol.adapter.smarter that return STR
Modifier and Type
Method
Description
`static STR`
Structure.`getHelixType(int type)`
`STR`
StructureIterator.`getStructureType()`
`STR`
StructureIterator.`getSubstructureType()`
Constructors in org.jmol.adapter.smarter with parameters of type STR
Modifier
Constructor
Description
``
`Structure(int modelIndex, STR structureType, STR substructureType, String structureID, String strandID, int strandCount, BS[] bsAll)`

## Uses of STR in org.jmol.api

Methods in org.jmol.api that return STR
Modifier and Type
Method
Description
`abstract STR`
JmolAdapterStructureIterator.`getStructureType()`
`abstract STR`
JmolAdapterStructureIterator.`getSubstructureType()`

## Uses of STR in org.jmol.c

Subclasses with type arguments of type STR in org.jmol.c
Modifier and Type
Class
Description
`enum`
`STR`
Methods in org.jmol.c that return STR
Modifier and Type
Method
Description
`static final STR`
STR.`getProteinStructureType(String name)`
In DRuMS, RasMol, and Chime, quoting from http://www.umass.edu/microbio/rasmol/rascolor.htm The RasMol structure color scheme colors the molecule by protein secondary structure.
`static STR`
STR.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static STR[]`
STR.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of STR in org.jmol.modelset

Methods in org.jmol.modelset that return STR
Modifier and Type
Method
Description
`STR`
Group.`getProteinStructureSubType()`
`STR`
Group.`getProteinStructureType()`
Methods in org.jmol.modelset that return types with arguments of type STR
Modifier and Type
Method
Description
`Map<STR,float[]>`
ModelSet.`getStructureList()`
Methods in org.jmol.modelset with parameters of type STR
Modifier and Type
Method
Description
`boolean`
Group.`isWithinStructure(STR type)`
`int`
Group.`setProteinStructureType(STR type, int monomerIndexCurrent)`
`void`
ModelSet.`setProteinType(BS bs, STR type)`
Method parameters in org.jmol.modelset with type arguments of type STR
Modifier and Type
Method
Description
`void`
ModelSet.`setStructureList(Map<STR,float[]> structureList)`

## Uses of STR in org.jmol.modelsetbio

Methods in org.jmol.modelsetbio that return STR
Modifier and Type
Method
Description
`STR`
AlphaMonomer.`getProteinStructureSubType()`
`STR`
AlphaMonomer.`getProteinStructureType()`
`STR`
CarbohydrateMonomer.`getProteinStructureType()`
`STR`
Monomer.`getProteinStructureType()`
/////////////////////////////////////////////////////////////
`STR`
NucleicMonomer.`getProteinStructureType()`
`STR`
PhosphorusMonomer.`getProteinStructureType()`
Methods in org.jmol.modelsetbio with parameters of type STR
Modifier and Type
Method
Description
`void`
AlphaPolymer.`addStructure(STR type, String structureID, String serialID, int strandCount, int startChainID, int startSeqcode, int endChainID, int endSeqcode, int istart, int iend, BS bsAssigned)`
`boolean`
AlphaPolymer.`addStructureProtected(STR type, String structureID, String serialID, int strandCount, int indexStart, int indexEnd)`
`boolean`
AlphaMonomer.`isWithinStructure(STR type)`
`void`
BioModelSet.`setAllProteinType(BS bs, STR type)`
called from state STRUCTURE command
`int`
AlphaMonomer.`setProteinStructureType(STR type, int monomerIndexCurrent)`
`int`
AlphaPolymer.`setStructureBS(int count, int dsspType, STR type, BS bs, boolean doOffset)`
bits in the bitset determines the type
`protected void`
ProteinStructure.`setupPS(AlphaPolymer apolymer, STR type, int monomerIndex, int monomerCount)`
Method parameters in org.jmol.modelsetbio with type arguments of type STR
Modifier and Type
Method
Description
`void`
BioModelSet.`setAllStructureList(Map<STR,float[]> structureList)`
`void`
AminoPolymer.`setStructureList(Map<STR,float[]> structureList)`

## Uses of STR in org.jmol.renderbio

Fields in org.jmol.renderbio declared as STR
Modifier and Type
Field
Description
`protected STR[]`
BioShapeRenderer.`structureTypes`
`protected STR[]`
BioShapeRenderer.`structureTypes`
`protected STR[]`
BioShapeRenderer.`structureTypes`
`protected STR[]`
BioShapeRenderer.`structureTypes`
`protected STR[]`
BioShapeRenderer.`structureTypes`
`protected STR[]`
BioShapeRenderer.`structureTypes`
`protected STR[]`
BioShapeRenderer.`structureTypes`

## Uses of STR in org.jmol.util

Methods in org.jmol.util that return STR
Modifier and Type
Method
Description
`STR[]`
TempArray.`allocTempEnum(int size)`
Methods in org.jmol.util with parameters of type STR
Modifier and Type
Method
Description
`void`
TempArray.`freeTempEnum(STR[] tempEnum)`

## Uses of STR in org.jmol.viewer

Methods in org.jmol.viewer that return STR
Modifier and Type
Method
Description
`STR[]`
Viewer.`allocTempEnum(int size)`
Methods in org.jmol.viewer that return types with arguments of type STR
Modifier and Type
Method
Description
`Map<STR,float[]>`
GlobalSettings.`getStructureList()`
`Map<STR,float[]>`
Viewer.`getStructureList()`
Methods in org.jmol.viewer with parameters of type STR
Modifier and Type
Method
Description
`void`
Viewer.`freeTempEnum(STR[] temp)`
`void`
Viewer.`setProteinType(STR type, BS bs)`
`void`
GlobalSettings.`setStructureList(float[] list, STR type)`
`void`
Viewer.`setStructureList(float[] list, STR type)`